/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.process.web.ui.internal.admin.projects.ErrorTab"); //$NON-NLS-1$
dojo.require("com.ibm.team.process.web.ui.internal.admin.projects.AbstractProjectAreaEditorPage"); //$NON-NLS-1$
dojo.requireLocalization("com.ibm.team.process.web.ui.internal", "Messages"); //$NON-NLS-1$ //$NON-NLS-2$


(function(){

	dojo.declare("com.ibm.team.process.web.ui.internal.admin.projects.ErrorTab", [com.ibm.team.process.web.ui.internal.admin.projects.AbstractProjectAreaEditorPage], { //$NON-NLS-1$
		templatePath: dojo.moduleUrl("com.ibm.team.process.web", "ui/internal/admin/projects/templates/ErrorTab.html"), //$NON-NLS-1$ //$NON-NLS-2$
		constructor: function(arg){
			this.messages = dojo.i18n.getLocalization("com.ibm.team.process.web.ui.internal.admin.projects", "Messages"); //$NON-NLS-1$ //$NON-NLS-2$
		},
		
		postCreate: function(){
			this.idTD.innerHTML = this.tabID;
			this.titleTD.innerHTML = this.tabTitle;
			this.widgetTD.innerHTML = this.tabWidget;
			this.errorTD.innerHTML = this.tabError;
		}
		
		
	});
	
})();
